#!/usr/bin/env sh

##----------------------------------------------------------------------------##
## Public API Implementation                                                  ##
##----------------------------------------------------------------------------##
##------------------------------------------------------------------------------
_pw_impl_get_user_home()
{
    local TARGET_USER="$1";
    if [ -z "$TARGET_USER" ]; then
        TARGET_USER="$(whoami)";
    fi;

    local HOME_DIR=$(getent passwd "$TARGET_USER" | cut -d: -f6);
    echo "$HOME_DIR";
}

##------------------------------------------------------------------------------
_pw_impl_os_get_simple_name()
{
    if [ "$1" == "$PW_WSL_AS_GNU_LINUX" ]; then
        echo "$(PW_OS_GNU_LINUX)";
    else
        echo "$(PW_OS_WSL)";
    fi;
}


###-----------------------------------------------------------------------------
_pw_imp_get_file_mode()
{
    stat -c "%a" "$1";
}

###-----------------------------------------------------------------------------
_pw_imp_get_file_owner()
{
    stat -c "%U" "$1";
}

###-----------------------------------------------------------------------------
_pw_imp_get_file_group()
{
    stat -c "%G" "$1";
}
